# Raster package installieren und laden
install.packages("raster", repos="http://cran.us.r-project.org")
library(raster)

# Zu Pfad mit den Rastern wechseln
setwd("D:/.../")

# Namen der Raster einlesen
a<-list.files()

# Raster einlesen
r1<-raster(a[1]) # hier kann fr a[1] auch der komplette Name des Rasterfiles stehen, inklusive Endung in An- und Ausfhrungszeichen

#setwd("D:/.../") # wenn das zweite Raster in einem andern Verzeichnis ist, dann hier das Verzeichnis wechseln
r2<-raster(a[2]) # hier kann fr a[2] auch der komplette Name des Rasterfiles stehen, inklusive Endung in An- und Ausfhrungszeichen

r3<-r2-r1

plot(r3)
grid()

#setwd("D:/.../") # wenn das Differenzenraster in ein anderes Verzeichnis soll, dann hier das Verzeichnis wechseln

writeRaster(r3,"raster_dif.asc",format="ascii")
